<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>AbstractFbAttachment (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFbAttachment (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractFbAttachment.html" target="_top">Frames</a></li>
<li><a href="AbstractFbAttachment.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class AbstractFbAttachment" class="title">Class AbstractFbAttachment&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;? extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.AbstractFbAttachment&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFbAttachment&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;? extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&gt;&gt;</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></pre>
<div class="block">Common behavior for <a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng"><code>AbstractFbService</code></a> and <a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><code>AbstractFbDatabase</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="type parameter in AbstractFbAttachment">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#connection">connection</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ExceptionListenerDispatcher</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#AbstractFbAttachment-T-org.firebirdsql.gds.ng.DatatypeCoder-">AbstractFbAttachment</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="type parameter in AbstractFbAttachment">T</a>&nbsp;connection,
                    <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;datatypeCoder)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</code>
<div class="block">Adds an exception listener to this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">checkConnected</a></span>()</code>
<div class="block">Checks if the attachment is connected, and throws a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> if it isn't connected.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt">DbCryptCallback</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#createDbCryptCallback--">createDbCryptCallback</a></span>()</code>
<div class="block">Creates an instance of <a href="../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt"><code>DbCryptCallback</code></a> for this attachment.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncoding--">getEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncodingFactory--">getEncodingFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersion--">getServerVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected org.firebirdsql.gds.ng.ServerVersionInformation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersionInformation--">getServerVersionInformation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a></span>()</code>
<div class="block">Get synchronization object.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#isAttached--">isAttached</a></span>()</code>
<div class="block">Current attachment status.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</code>
<div class="block">Removes an exception listener to this object.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#safelyDetach--">safelyDetach</a></span>()</code>
<div class="block">Performs <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--"><code>FbAttachment.close()</code></a> suppressing any exception.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setAttached--">setAttached</a></span>()</code>
<div class="block">Called when this attachment is attached.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setDetached--">setDetached</a></span>()</code>
<div class="block">Called when this attachment is detached.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setServerVersion-java.lang.String...-">setServerVersion</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;versionStrings)</code>
<div class="block">Sets the Firebird version from one or more version string elements.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">attach</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getHandle--">getHandle</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="exceptionListenerDispatcher">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exceptionListenerDispatcher</h4>
<pre>protected final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ExceptionListenerDispatcher</a> exceptionListenerDispatcher</pre>
</li>
</ul>
<a name="connection">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>connection</h4>
<pre>protected final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="type parameter in AbstractFbAttachment">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;? extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&gt; connection</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFbAttachment-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.ng.DatatypeCoder-">
<!--   -->
</a><a name="AbstractFbAttachment-T-org.firebirdsql.gds.ng.DatatypeCoder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFbAttachment</h4>
<pre>protected&nbsp;AbstractFbAttachment(<a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="type parameter in AbstractFbAttachment">T</a>&nbsp;connection,
                               <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;datatypeCoder)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getServerVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServerVersion</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a>&nbsp;getServerVersion()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird version string</dd>
</dl>
</li>
</ul>
<a name="setServerVersion-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServerVersion</h4>
<pre>protected final&nbsp;void&nbsp;setServerVersion(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;versionStrings)</pre>
<div class="block">Sets the Firebird version from one or more version string elements.
 <p>
 This method should only be called by this instance.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>versionStrings</code> - Raw version strings</dd>
</dl>
</li>
</ul>
<a name="getServerVersionInformation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServerVersionInformation</h4>
<pre>protected&nbsp;org.firebirdsql.gds.ng.ServerVersionInformation&nbsp;getServerVersionInformation()</pre>
</li>
</ul>
<a name="setAttached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAttached</h4>
<pre>protected final&nbsp;void&nbsp;setAttached()</pre>
<div class="block">Called when this attachment is attached.
 <p>
 Only this <a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><code>AbstractFbDatabase</code></a> instance should call this method.
 </p></div>
</li>
</ul>
<a name="isAttached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAttached</h4>
<pre>public&nbsp;boolean&nbsp;isAttached()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">FbAttachment</a></code></span></div>
<div class="block">Current attachment status.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if connected to the server and attached to a database or service, <code>false</code>
 otherwise.</dd>
</dl>
</li>
</ul>
<a name="setDetached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDetached</h4>
<pre>protected final&nbsp;void&nbsp;setDetached()</pre>
<div class="block">Called when this attachment is detached.
 <p>
 Only this <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng"><code>AbstractFbAttachment</code></a> instance should call this method.
 </p></div>
</li>
</ul>
<a name="getSynchronizationObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSynchronizationObject</h4>
<pre>public final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getSynchronizationObject()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">FbAttachment</a></code></span></div>
<div class="block">Get synchronization object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>object, cannot be <code>null</code>.</dd>
</dl>
</li>
</ul>
<a name="getEncodingFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingFactory</h4>
<pre>public final&nbsp;<a href="../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;getEncodingFactory()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> for this connection</dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre>public final&nbsp;<a href="../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncoding()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The connection encoding (should be the same as returned from calling
 <a href="../../../../org/firebirdsql/encodings/IEncodingFactory.html#getDefaultEncoding--"><code>IEncodingFactory.getDefaultEncoding()</code></a> on the result of <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--"><code>FbAttachment.getEncodingFactory()</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getDatatypeCoder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatatypeCoder</h4>
<pre>public final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;getDatatypeCoder()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng"><code>DatatypeCoder</code></a> for this database implementation.</dd>
</dl>
</li>
</ul>
<a name="addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExceptionListener</h4>
<pre>public final&nbsp;void&nbsp;addExceptionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">ExceptionListenable</a></code></span></div>
<div class="block">Adds an exception listener to this object.
 <p>
 Implementations use <code>WeakReference</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Listener to register</dd>
</dl>
</li>
</ul>
<a name="removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeExceptionListener</h4>
<pre>public final&nbsp;void&nbsp;removeExceptionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">ExceptionListenable</a></code></span></div>
<div class="block">Removes an exception listener to this object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Listener to remove</dd>
</dl>
</li>
</ul>
<a name="checkConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkConnected</h4>
<pre>protected abstract&nbsp;void&nbsp;checkConnected()
                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Checks if the attachment is connected, and throws a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> if it isn't connected.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="safelyDetach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>safelyDetach</h4>
<pre>protected final&nbsp;void&nbsp;safelyDetach()</pre>
<div class="block">Performs <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--"><code>FbAttachment.close()</code></a> suppressing any exception.</div>
</li>
</ul>
<a name="createDbCryptCallback--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createDbCryptCallback</h4>
<pre>protected final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt">DbCryptCallback</a>&nbsp;createDbCryptCallback()
                                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates an instance of <a href="../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt"><code>DbCryptCallback</code></a> for this attachment.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database encryption callback.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors initializing the callback</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractFbAttachment.html" target="_top">Frames</a></li>
<li><a href="AbstractFbAttachment.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
